<?php

namespace CustomerManagement\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetModemSerialFromIccid StructType
 * @subpackage Structs
 */
class GetModemSerialFromIccid extends AbstractStructBase
{
    /**
     * The iccid
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $iccid;
    /**
     * Constructor method for GetModemSerialFromIccid
     * @uses GetModemSerialFromIccid::setIccid()
     * @param string $iccid
     */
    public function __construct($iccid = null)
    {
        $this
            ->setIccid($iccid);
    }
    /**
     * Get iccid value
     * @return string|null
     */
    public function getIccid()
    {
        return $this->iccid;
    }
    /**
     * Set iccid value
     * @param string $iccid
     * @return \CustomerManagement\StructType\GetModemSerialFromIccid
     */
    public function setIccid($iccid = null)
    {
        // validation for constraint: string
        if (!is_null($iccid) && !is_string($iccid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($iccid, true), gettype($iccid)), __LINE__);
        }
        $this->iccid = $iccid;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \CustomerManagement\StructType\GetModemSerialFromIccid
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
